Subject: Buggy src/Makefile generation

From: Vincent Lefevre <[email-masked]>
Date: Sat, 28 Aug 2010 02:12:45 +0200

Hi,

I've tried to build GNU Emacs on Debian/unstable machines with

./configure --prefix=/usr/local/emacs-23.2 --enable-asserts --with-x-toolkit=gtk

but the generated src/Makefile is incorrect. It contains:

ALL_CFLAGS=-Demacs -DHAVE_CONFIG_H $(MYCPPFLAGS) -I. -I${srcdir} -D_BSD_SOURCE -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-1 -2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 ${CFLAGS_SOUND} ${RSVG_CFLAGS} ${DBUS_CFLAGS} ${GCONF_CFLAGS} ${CFLAGS} ${DEPFLAGS}

See the

  -I/usr/include/gio-1 -2.0/

instead of

  -I/usr/include/gio-unix-2.0/

The config.status file contains:

S["C_SWITCH_X_SITE"]=" -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-"\
"unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/incl"\
"ude/freetype2  "

I suppose there's a problem with the awk script that handles it.

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)